#pragma once

#include "utils/workers/plugin.hpp"

namespace hr::plugins
{
  class magnitude : public plugin
  {
    public:
      magnitude(const setup& st);
      virtual ~magnitude() = default;

    private:
      result m_result;

    public:
      void process(fvec_t& base, real_time timestamp) override;
      void process(cvec_t& fft, fvec_t& base, real_time timestamp) override;
      result get_result() override;
  };
}
